namespace SepehrFlightApiSampleClient.BuiltinTypeExtensions
{
    public static class DecimalExtension
    {
        public static string FormattedNumber(this decimal amount)
        {
            if (amount % 1 == 0)
            {
                return amount.ToString("#,##0;");
            }
            else
            {
                return amount.ToString("#,##0.00;");
            }
        }
    }
}
